org.wildfly.swarm.microprofile.openapi.api.models.info

## Class InfoImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.info.InfoImpl

- All Implemented Interfaces:
    ModelImpl

      public class InfoImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `Info` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfoImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Info` | `contact(Contact contact)`
    `Info` | `description(String description)`
    `Contact` | `getContact()`
    `String` | `getDescription()`
    `License` | `getLicense()`
    `String` | `getTermsOfService()`
    `String` | `getTitle()`
    `String` | `getVersion()`
    `Info` | `license(License license)`
    `void` | `setContact(Contact contact)`
    `void` | `setDescription(String description)`
    `void` | `setLicense(License license)`
    `void` | `setTermsOfService(String termsOfService)`
    `void` | `setTitle(String title)`
    `void` | `setVersion(String version)`
    `Info` | `termsOfService(String termsOfService)`
    `Info` | `title(String title)`
    `Info` | `version(String version)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InfoImpl

          public InfoImpl()

  - ### Method Detail

    - #### getTitle

          public String getTitle()

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#getTitle()`

    - #### setTitle

          public void setTitle(String title)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#setTitle(java.lang.String)`

    - #### title

          public Info title(String title)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#title(java.lang.String)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#setDescription(java.lang.String)`

    - #### description

          public Info description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#description(java.lang.String)`

    - #### getTermsOfService

          public String getTermsOfService()

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#getTermsOfService()`

    - #### setTermsOfService

          public void setTermsOfService(String termsOfService)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#setTermsOfService(java.lang.String)`

    - #### termsOfService

          public Info termsOfService(String termsOfService)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#termsOfService(java.lang.String)`

    - #### getContact

          public Contact getContact()

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#getContact()`

    - #### setContact

          public void setContact(Contact contact)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#setContact(org.eclipse.microprofile.openapi.models.info.Contact)`

    - #### contact

          public Info contact(Contact contact)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#contact(org.eclipse.microprofile.openapi.models.info.Contact)`

    - #### getLicense

          public License getLicense()

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#getLicense()`

    - #### setLicense

          public void setLicense(License license)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#setLicense(org.eclipse.microprofile.openapi.models.info.License)`

    - #### license

          public Info license(License license)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#license(org.eclipse.microprofile.openapi.models.info.License)`

    - #### getVersion

          public String getVersion()

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#getVersion()`

    - #### setVersion

          public void setVersion(String version)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#setVersion(java.lang.String)`

    - #### version

          public Info version(String version)

      See Also:
        `org.eclipse.microprofile.openapi.models.info.Info#version(java.lang.String)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.